| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | Friends | List of all members
Gaudi::Histo1DDef Class Referencefinal

Simple helper class for description of 1D-histogram The class is targeted to act as the primary "histogram property", but clearly have significantly wider application range. More...

`#include <GaudiKernel/HistoDef.h>`

Collaboration diagram for Gaudi::Histo1DDef:
[legend]

## Public Member Functions
| Histo1DDef (double low, double high, int bins=100, std::string title="")
| full constructor from edges, bins and the title More...
| Histo1DDef (std::string title="", double low=0.0, double high=1.0, int bins=100)
| full constructor from edges, bins and the title More...
double | lowEdge () const
| get the low edge More...
double | highEdge () const
| get the high edge More...
int | bins () const
| get the number of bins More...
const std::string & | title () const
| get the title More...
void | setLowEdge (double value)
| set low edge More...
void | setHighEdge (double value)
| set high edge More...
void | setBins (int value)
| set number of bis More...
void | setTitle (std::string value)
| set the title More...
std::ostream & | fillStream (std::ostream &o) const
| printout of the histogram definition More...
bool | ok () const
| check if all fields are "reasonable" More...

## Private Attributes
std::string | m_title
| Histogram title. More...
double | m_low
| Low Edge. More...
double | m_high
| High Edge. More...
int | m_bins
| Number of bins. More...

## Friends
bool | operator< (const Histo1DDef &left, const Histo1DDef &right)
| ordering operator (to please BoundedVerifier) More...
bool | operator== (const Histo1DDef &left, const Histo1DDef &right)
| equality operator More...
bool | operator!= (const Histo1DDef &left, const Histo1DDef &right)
| non-equality More...
std::ostream & | operator<< (std::ostream &o, const Gaudi::Histo1DDef &histo)
| the streamer operator for class Gaudi::Histo1DDef More...

## Detailed Description

Simple helper class for description of 1D-histogram The class is targeted to act as the primary "histogram property", but clearly have significantly wider application range.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-09-17

Definition at line 31 of file HistoDef.h.

## Constructor & Destructor Documentation

## ◆ Histo1DDef() [1/2]

Gaudi::Histo1DDef::Histo1DDef | ( | double | low,
|  | double | high,
|  | int | bins = `100`,
|  | std::string | title = `""`
| ) |  |

full constructor from edges, bins and the title

Parameters

  low | the low edge of the histogram
  high | the high edge of the histogram
  bins | number of bins
  title | the historgam title

Definition at line 27 of file HistoDef.cpp.

28 : m_title( std::move( title ) ), m_low( low ), m_high( high ), m_bins( bins ) {}
Gaudi::Histo1DDef::m_high
double m_high
High Edge.
Definition: HistoDef.h:101
Gaudi::Histo1DDef::m_title
std::string m_title
Histogram title.
Definition: HistoDef.h:97
std::move
T move(T... args)
Gaudi::Histo1DDef::title
const std::string & title() const
get the title
Definition: HistoDef.h:59
Gaudi::Histo1DDef::bins
int bins() const
get the number of bins
Definition: HistoDef.h:57
Gaudi::Histo1DDef::m_bins
int m_bins
Number of bins.
Definition: HistoDef.h:103
Gaudi::Histo1DDef::m_low
double m_low
Low Edge.
Definition: HistoDef.h:99

## ◆ Histo1DDef() [2/2]

Gaudi::Histo1DDef::Histo1DDef | ( | std::string | title = `""`,
|  | double | low = `0.0`,
|  | double | high = `1.0`,
|  | int | bins = `100`
| ) |  |

full constructor from edges, bins and the title

Parameters

  title | the historgam title
  low | the low edge of the histogram
  high | the high edge of the histogram
  bins | number of bins

Definition at line 37 of file HistoDef.cpp.

38 : m_title( std::move( title ) ), m_low( low ), m_high( high ), m_bins( bins ) {}
Gaudi::Histo1DDef::m_high
double m_high
High Edge.
Definition: HistoDef.h:101
Gaudi::Histo1DDef::m_title
std::string m_title
Histogram title.
Definition: HistoDef.h:97
std::move
T move(T... args)
Gaudi::Histo1DDef::title
const std::string & title() const
get the title
Definition: HistoDef.h:59
Gaudi::Histo1DDef::bins
int bins() const
get the number of bins
Definition: HistoDef.h:57
Gaudi::Histo1DDef::m_bins
int m_bins
Number of bins.
Definition: HistoDef.h:103
Gaudi::Histo1DDef::m_low
double m_low
Low Edge.
Definition: HistoDef.h:99

## Member Function Documentation

## ◆ bins()

int Gaudi::Histo1DDef::bins | ( |  | ) | const
| inline

get the number of bins

Definition at line 57 of file HistoDef.h.

57 { return m_bins; }
Gaudi::Histo1DDef::m_bins
int m_bins
Number of bins.
Definition: HistoDef.h:103

## ◆ fillStream()

std::ostream & Gaudi::Histo1DDef::fillStream | ( | std::ostream & | o | ) | const

printout of the histogram definition

Definition at line 42 of file HistoDef.cpp.

42 {
43 return o << "(" << Gaudi::Utils::toString( title() ) << "," << lowEdge() << "," << highEdge() << "," << bins() << ")";
44 }
Gaudi::Utils::toString
std::string toString(const TYPE &obj)
the generic implementation of the type conversion to the string
Definition: ToStream.h:334
Gaudi::Histo1DDef::title
const std::string & title() const
get the title
Definition: HistoDef.h:59
Gaudi::Histo1DDef::bins
int bins() const
get the number of bins
Definition: HistoDef.h:57
Gaudi::Histo1DDef::highEdge
double highEdge() const
get the high edge
Definition: HistoDef.h:55
Gaudi::Histo1DDef::lowEdge
double lowEdge() const
get the low edge
Definition: HistoDef.h:53

## ◆ highEdge()

double Gaudi::Histo1DDef::highEdge | ( |  | ) | const
| inline

get the high edge

Definition at line 55 of file HistoDef.h.

55 { return m_high; }
Gaudi::Histo1DDef::m_high
double m_high
High Edge.
Definition: HistoDef.h:101

## ◆ lowEdge()

double Gaudi::Histo1DDef::lowEdge | ( |  | ) | const
| inline

get the low edge

Definition at line 53 of file HistoDef.h.

53 { return m_low; }
Gaudi::Histo1DDef::m_low
double m_low
Low Edge.
Definition: HistoDef.h:99

## ◆ ok()

bool Gaudi::Histo1DDef::ok | ( |  | ) | const
| inline

check if all fields are "reasonable"

Definition at line 92 of file HistoDef.h.

92 { return 0 < bins() && lowEdge() < highEdge(); }
Gaudi::Histo1DDef::bins
int bins() const
get the number of bins
Definition: HistoDef.h:57
Gaudi::Histo1DDef::highEdge
double highEdge() const
get the high edge
Definition: HistoDef.h:55
Gaudi::Histo1DDef::lowEdge
double lowEdge() const
get the low edge
Definition: HistoDef.h:53

## ◆ setBins()

void Gaudi::Histo1DDef::setBins | ( | int | value | ) |
| inline

set number of bis

Definition at line 68 of file HistoDef.h.

68 { m_bins = value; }
Gaudi::Histo1DDef::m_bins
int m_bins
Number of bins.
Definition: HistoDef.h:103

## ◆ setHighEdge()

void Gaudi::Histo1DDef::setHighEdge | ( | double | value | ) |
| inline

set high edge

Definition at line 66 of file HistoDef.h.

66 { m_high = value; }
Gaudi::Histo1DDef::m_high
double m_high
High Edge.
Definition: HistoDef.h:101

## ◆ setLowEdge()

void Gaudi::Histo1DDef::setLowEdge | ( | double | value | ) |
| inline

set low edge

Definition at line 64 of file HistoDef.h.

64 { m_low = value; }
Gaudi::Histo1DDef::m_low
double m_low
Low Edge.
Definition: HistoDef.h:99

## ◆ setTitle()

void Gaudi::Histo1DDef::setTitle | ( | std::string | value | ) |
| inline

set the title

Definition at line 70 of file HistoDef.h.

70 { m_title = std::move( value ); }
Gaudi::Histo1DDef::m_title
std::string m_title
Histogram title.
Definition: HistoDef.h:97
std::move
T move(T... args)

## ◆ title()

const std::string& Gaudi::Histo1DDef::title | ( |  | ) | const
| inline

get the title

Definition at line 59 of file HistoDef.h.

59 { return m_title; }
Gaudi::Histo1DDef::m_title
std::string m_title
Histogram title.
Definition: HistoDef.h:97

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const Histo1DDef & | left,
|  | const Histo1DDef & | right
| ) |  |
| friend

non-equality

Definition at line 72 of file HistoDef.cpp.

72 { return !( left == right ); }
std::left
T left(T... args)

## ◆ operator<

bool operator< | ( | const Histo1DDef & | left,
|  | const Histo1DDef & | right
| ) |  |
| friend

ordering operator (to please BoundedVerifier)

Definition at line 49 of file HistoDef.cpp.

49 {
50 return std::tie( left.m_title, left.m_low, left.m_high, left.m_bins ) <
51 std::tie( right.m_title, right.m_low, right.m_high, right.m_bins );
52 }
std::tie
T tie(T... args)
std::left
T left(T... args)

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | const Gaudi::Histo1DDef & | histo
| ) |  |
| friend

the streamer operator for class Gaudi::Histo1DDef

Definition at line 76 of file HistoDef.cpp.

76 { return histo.fillStream( o ); }
Gaudi::Histo1DDef::fillStream
std::ostream & fillStream(std::ostream &o) const
printout of the histogram definition
Definition: HistoDef.cpp:42

## ◆ operator==

bool operator== | ( | const Histo1DDef & | left,
|  | const Histo1DDef & | right
| ) |  |
| friend

equality operator

Definition at line 61 of file HistoDef.cpp.

61 {
62 return std::tie( left.m_title, left.m_low, left.m_high, left.m_bins ) ==
63 std::tie( right.m_title, right.m_low, right.m_high, right.m_bins );
64 }
std::tie
T tie(T... args)
std::left
T left(T... args)

## Member Data Documentation

## ◆ m_bins

int Gaudi::Histo1DDef::m_bins
| private

Number of bins.

Definition at line 103 of file HistoDef.h.

## ◆ m_high

double Gaudi::Histo1DDef::m_high
| private

High Edge.

Definition at line 101 of file HistoDef.h.

## ◆ m_low

double Gaudi::Histo1DDef::m_low
| private

Low Edge.

Definition at line 99 of file HistoDef.h.

## ◆ m_title

std::string Gaudi::Histo1DDef::m_title
| private

Histogram title.

Definition at line 97 of file HistoDef.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/HistoDef.h
- GaudiKernel/src/Lib/HistoDef.cpp